zipios::OutputStringStream Class Reference

OutputStringStream is typedefed to ostringstream if sstream is part of the standard library (unless Zipios++ has been explicitly configured not to use it). More...

`#include <outputstringstream.h>`

Inheritance diagram for zipios::OutputStringStream:
[legend]

## Public Member Functions

string | str ()
| Specialization of ostrstream::str() that takes care of null-terminating the string and unfreezing the ostrstream.

## Detailed Description

OutputStringStream is typedefed to ostringstream if sstream is part of the standard library (unless Zipios++ has been explicitly configured not to use it).

If sstream is not present OutputStringStream is a subclass of ostrstream from strstream.h. In this case OutputStringStream specializes the str() method, such that the caller does not have to concern himself with null-terminating the string and unfreezing the ostrstream.

Definition at line 24 of file outputstringstream.h.

## Member Function Documentation

## str()

string zipios::OutputStringStream::str | ( |  | ) |

inline

Specialization of ostrstream::str() that takes care of null-terminating the string and unfreezing the ostrstream.

Definition at line 29 of file outputstringstream.h.

The documentation for this class was generated from the following file:

- outputstringstream.h